{% extends 'x15-bl.jinja2' %}
{% set adb_serial_number = '0f01901022dc0122' %}
{# board_id is id of serial cable #}
{% set static_info = [{'board_id': 'AH06F9S9'}] %}
{% set fastboot_serial_number = '0f01901022dc0122' %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command off --port 22',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.7 -r 1 -s off',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.7 -r 2 -s off',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.7 -r 3 -s off',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.7 -r 4 -s off'] %}
{# We use the ethernet controlled relay to emulate the power button press #}
{% set hard_reset_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command off --port 22',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.7 -r 1 -s onoff',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.7 -r 2 -s onoff',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.7 -r 3 -s onoff',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.7 -r 4 -s offon',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command on --port 22'] %}
{% set connection_list = ['uart0'] %}
{% set connection_commands = {'uart0': 'telnet dispatcher04 7133'} %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set power_on_command = ['/usr/local/lab-scripts/eth008_control -a 10.0.9.7 -r 4 -s on',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command on --port 22'] %}
{% set flash_cmds_order = ['update',
'ptable',
'partition',
'hyp',
'modem',
'rpm',
'sbl1',
'sbl2',
'sec',
'tz',
'aboot',
'boot',
'rootfs',
'vendor',
'system',
'cache',
'userdata'] %}
{% set recovery_mode_command = [
'/usr/local/lab-scripts/eth008_control -a 10.0.9.7 -r 1 -s on',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.7 -r 2 -s on',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.7 -r 3 -s on',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.7 -r 4 -s on'] %}
{% set recovery_exit_command = [
'/usr/local/lab-scripts/eth008_control -a 10.0.9.7 -r 1 -s off',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.7 -r 2 -s off',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.7 -r 3 -s off',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.7 -r 4 -s off'] %}

{# flash SD card with SDMux #}
{% set flasher_deploy_commands = ['/usr/local/bin/sd-mux-ctrl -e sdw-10 --ts',
                                  'sleep 1',
                                  '/usr/local/bin/sd-mux-ctrl -e sdw-10 --dut',
                                  'sleep 1',
                                  '/usr/local/bin/sd-mux-ctrl -e sdw-10 --ts',
                                  'sleep 1',
                                  'dd if={IMAGE} of=/dev/disk/by-id/usb-Generic_Ultra_HS-SD_MMC_DEADBEEF0010-0:0 bs=1M conv=nocreat oflag=sync',
                                  '/usr/local/bin/sd-mux-ctrl -e sdw-10 --dut'] %}


{% set sync_to_lava = {'device_type': 'x15-bl', 'worker': 'dispatcher04.lavalab', 'tags': [], 'aliases': []} %}